<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;


/**
 * Setup My Child Theme's textdomain.
 *
 * Declare textdomain for this child theme.
 * Translations can be filed in the /languages/ directory.
 */
function gullu_child_theme_setup() {
    load_child_theme_textdomain( 'gullu-child', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'gullu_child_theme_setup' );


// BEGIN ENQUEUE PARENT ACTION
if ( !function_exists( 'gullu_child_thm_parent_css' ) ):
    function gullu_child_thm_parent_css() {
        wp_enqueue_style(
            'gullu-child-parent-root',
            trailingslashit( get_template_directory_uri() ) . 'style.css',
            array( 'bootstrap','camera','gullu-bootstrap-mega-menu','owl-carousel','owl-theme','animate','gullu-hover','fancybox', 'gullu-flaticon', 'jquery-ui','gullu-wpd-style','gullu-style','gullu-responsive' )
        );
    }
endif;
add_action( 'wp_enqueue_scripts', 'gullu_child_thm_parent_css', 10 );

// END ENQUEUE PARENT ACTION
